uk.gov.hmrc.address.services.es

# IndexName

###
Related Docs: object IndexName | package es

#### case class IndexName(productName: String, epoch: Option[Int], timestamp: Option[String] = None) extends Ordered[IndexName] with IndexState with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, IndexState, Ordered[IndexName], Comparable[IndexName], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. IndexName
2. Serializable
3. Serializable
4. Product
5. Equals
6. IndexState
7. Ordered
8. Comparable
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new IndexName(productName: String, epoch: Option[Int], timestamp: Option[String] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def <(that: IndexName): Boolean

   Definition Classes
     Ordered

4. #### def <=(that: IndexName): Boolean

   Definition Classes
     Ordered

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def >(that: IndexName): Boolean

   Definition Classes
     Ordered

7. #### def >=(that: IndexName): Boolean

   Definition Classes
     Ordered

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def compare(that: IndexName): Int

    Definition Classes
      IndexName → Ordered

11. #### def compareTo(that: IndexName): Int

    Definition Classes
      Ordered → Comparable

12. #### val epoch: Option[Int]

    Definition Classes
      IndexName → IndexState

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### lazy val formattedName: String

    Definition Classes
      IndexName → IndexState

16. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### val productName: String

    Definition Classes
      IndexName → IndexState

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### val timestamp: Option[String]

    Definition Classes
      IndexName → IndexState

24. #### def toPrefix: String

    Definition Classes
      IndexName → IndexState

25. #### def toString(): String

    Definition Classes
      IndexName → AnyRef → Any

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from IndexState

### Inherited from Ordered[IndexName]

### Inherited from Comparable[IndexName]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped